package com.ruoyi.system.api.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 节点带宽信息对象 eps_node_bandwidth
 * 
 * @author gyt
 * @date 2025-08-12
 */
public class NodeBandwidth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 硬件SN */
    @Excel(name = "硬件SN")
    private String hardwareSn;

    /** 95带宽值Mbps/日 */
    @Excel(name = "95带宽值Mbps/日")
    private BigDecimal bandwidth95Daily;

    /** 95带宽值Mbps/月 */
    @Excel(name = "95带宽值Mbps/月")
    private BigDecimal bandwidth95Monthly;

    /** 包端带宽值Mbps/日 */
    @Excel(name = "包端带宽值Mbps/日")
    private BigDecimal packageBandwidthDaily;

    /** 设备业务客户id */
    @Excel(name = "设备业务客户id")
    private String customerId;

    /** 设备业务客户名称 */
    @Excel(name = "设备业务客户名称")
    private String customerName;

    /** 业务号 */
    @Excel(name = "业务号")
    private String serviceNumber;

    /** 上联交换机 */
    @Excel(name = "上联交换机")
    private String uplinkSwitch;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long creatorId;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String creatorName;

    /** remark1 */
    @Excel(name = "remark1")
    private String remark1;

    /** remark2 */
    @Excel(name = "remark2")
    private String remark2;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setNodeName(String nodeName) 
    {
        this.nodeName = nodeName;
    }

    public String getNodeName() 
    {
        return nodeName;
    }

    public void setHardwareSn(String hardwareSn) 
    {
        this.hardwareSn = hardwareSn;
    }

    public String getHardwareSn() 
    {
        return hardwareSn;
    }

    public void setBandwidth95Daily(BigDecimal bandwidth95Daily) 
    {
        this.bandwidth95Daily = bandwidth95Daily;
    }

    public BigDecimal getBandwidth95Daily() 
    {
        return bandwidth95Daily;
    }

    public void setBandwidth95Monthly(BigDecimal bandwidth95Monthly) 
    {
        this.bandwidth95Monthly = bandwidth95Monthly;
    }

    public BigDecimal getBandwidth95Monthly() 
    {
        return bandwidth95Monthly;
    }

    public void setPackageBandwidthDaily(BigDecimal packageBandwidthDaily) 
    {
        this.packageBandwidthDaily = packageBandwidthDaily;
    }

    public BigDecimal getPackageBandwidthDaily() 
    {
        return packageBandwidthDaily;
    }

    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }

    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }

    public void setServiceNumber(String serviceNumber) 
    {
        this.serviceNumber = serviceNumber;
    }

    public String getServiceNumber() 
    {
        return serviceNumber;
    }

    public void setUplinkSwitch(String uplinkSwitch) 
    {
        this.uplinkSwitch = uplinkSwitch;
    }

    public String getUplinkSwitch() 
    {
        return uplinkSwitch;
    }

    public void setCreatorId(Long creatorId) 
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId() 
    {
        return creatorId;
    }

    public void setCreatorName(String creatorName) 
    {
        this.creatorName = creatorName;
    }

    public String getCreatorName() 
    {
        return creatorName;
    }

    public void setRemark1(String remark1) 
    {
        this.remark1 = remark1;
    }

    public String getRemark1() 
    {
        return remark1;
    }

    public void setRemark2(String remark2) 
    {
        this.remark2 = remark2;
    }

    public String getRemark2() 
    {
        return remark2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nodeName", getNodeName())
            .append("hardwareSn", getHardwareSn())
            .append("bandwidth95Daily", getBandwidth95Daily())
            .append("bandwidth95Monthly", getBandwidth95Monthly())
            .append("packageBandwidthDaily", getPackageBandwidthDaily())
            .append("customerId", getCustomerId())
            .append("customerName", getCustomerName())
            .append("serviceNumber", getServiceNumber())
            .append("uplinkSwitch", getUplinkSwitch())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("creatorId", getCreatorId())
            .append("creatorName", getCreatorName())
            .append("remark1", getRemark1())
            .append("remark2", getRemark2())
            .toString();
    }
}
